echo off

REM Display our standard banner
echo COMPEMF.BAT V1.10
echo Copyright 1996 Companion Software. All rights reserved.
echo http://www.CompanionSoftware.com
echo.

REM Check our parameters
if %1x==x goto HELP
if %2x==x goto HELP
if NOT EXIST %1.emf goto HELP
if NOT EXIST %2.emf goto HELP

REM Generate the two temp listing files
listemf /NO_FILE /NO_DESCRIPTION %1.emf >%1.tmp
listemf /NO_FILE /NO_DESCRIPTION %2.emf >%2.tmp

REM Compare the two listing files
fc /n %1.tmp %2.tmp

REM Delete the temp listing files unless we're told otherwise
if %3x==/DONT_DELETE_TMP_FILESx goto END
del %1.tmp
del %2.tmp

goto END

:HELP
echo Description: Compares two EMF files as text file output from the LISTEMF.EXE utility.
echo.
echo      Syntax: compemf [name1] [name2] [/DONT_DELETE_TMP_FILES] 
echo.  
echo    Examples: compemf myfile1 myfile2
echo              compemf myfile1 myfile2 /DONT_DELETE_TMP_FILES

:END
