echo off

REM Display our standard banner
echo COMPWMF.BAT V1.10
echo Copyright 1996 Companion Software. All rights reserved.
echo http://www.CompanionSoftware.com
echo.

REM Check our parameters
if %1x==x goto HELP
if %2x==x goto HELP
if NOT EXIST %1.wmf goto HELP
if NOT EXIST %2.wmf goto HELP

REM Generate the two listing files
listwmf /NO_FILE %1.wmf >%1.tmp
listwmf /NO_FILE %2.wmf >%2.tmp

REM Compare the two listing files
fc /n %1.tmp %2.tmp

REM Delete the temp listing files unless we're told otherwise
if %3x==/DONT_DELETE_TMP_FILESx goto END
del %1.tmp
del %2.tmp

goto END

:HELP
echo Description: Compares two WMF files as text file output from the LISTWMF.EXE utility.
echo.
echo      Syntax: compwmf [name1] [name2] [/DONT_DELETE_TMP_FILES] 
echo.  
echo    Examples: compwmf myfile1 myfile2
echo              compwmf myfile1 myfile2 /DONT_DELETE_TMP_FILES

:END
